From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: kde-plasma/libkworkspace/
Date: Wed, 16 Jun 2021 12:32:26 +0000 (UTC) [thread overview]
Message-ID: <1623846714.a7ec88a0a9457f2d3936bb6d4bb536a33cc5a2bd.sam@gentoo> (raw)
commit: a7ec88a0a9457f2d3936bb6d4bb536a33cc5a2bd
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 16 12:27:34 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 16 12:31:54 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7ec88a0
kde-plasma/libkworkspace: 5.22.1 version bump
Signed-off-by: Sam James <sam <AT> gentoo.org>
kde-plasma/libkworkspace/Manifest | 1 +
.../libkworkspace/libkworkspace-5.22.1.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/kde-plasma/libkworkspace/Manifest b/kde-plasma/libkworkspace/Manifest
index e4a53af1385..7afcd34a19f 100644
--- a/kde-plasma/libkworkspace/Manifest
+++ b/kde-plasma/libkworkspace/Manifest
@@ -1,2 +1,3 @@
DIST plasma-workspace-5.21.5.tar.xz 9724000 BLAKE2B 2688c8aacd4e5584bb2660a287563aa683af4d469aad45f3521d31ec569d403204cceeb167062a9d8dfe591972db3758d5f46c21ca7c30453cd6740f3e3b470a SHA512 6918c1a29e977ac7f3ebf6ac7308f20f20712db96bf10599f3372987509630aa2ca8bc6adf0b1af4e543ccd2a2001e38ce02d759d25f09588c7c1aaa358af1b4
DIST plasma-workspace-5.22.0.tar.xz 8349176 BLAKE2B 61993be02589be83911c8eebcf1bb21dab7377b47bf011a9900791f6aaa5a3e59d545116ad0728afd6565763e6396d12c6e3992fc3ea55c8ab76cfb14e5b21c3 SHA512 fb57dde0ae5f774cb782ab305a526ce22404972197d531a2c5e6972eb6400d57b99a7ce397fd417c0c42c8de58f4c06d9e9771b64eb94f501987da910054f4af
+DIST plasma-workspace-5.22.1.tar.xz 8349504 BLAKE2B 5f1b2458a83d992e77c197386716b46c623f50505c6661fe1606040a90b42dbdf60203e0bbc007f2a7e1267e49b5d083ee04915cc9d6cb2f8f182d8f0acf1642 SHA512 a09f81ab3dce21e834d162b0be767c91070595969e35206650db70bab726dbed5c4e420e88c11e11b5b2bbf0d5f5a6ddb9ca06a57f6ff255477282f653213cfc
diff --git a/kde-plasma/libkworkspace/libkworkspace-5.22.1.ebuild b/kde-plasma/libkworkspace/libkworkspace-5.22.1.ebuild
new file mode 100644
index 00000000000..683900192df
--- /dev/null
+++ b/kde-plasma/libkworkspace/libkworkspace-5.22.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_TEST="true"
+KDE_ORG_NAME="plasma-workspace"
+KFMIN=5.82.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.2
+inherit ecm kde.org
+
+DESCRIPTION="Workspace library to interact with the Plasma session manager"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5
+ >=kde-plasma/kscreenlocker-${PVCUT}:5
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+"
+DEPEND="${RDEPEND}
+ >=kde-frameworks/kinit-${KFMIN}:5
+ >=kde-plasma/kwin-${PVCUT}:5
+"
+
+S="${S}/${PN}"
+
+src_prepare() {
+ # delete colliding libkworkspace translations, let ecm_src_prepare do its magic
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find ../po -type f -name "*po" -and -not -name "libkworkspace*" -delete || die
+ rm -rf po/*/docs || die
+ cp -a ../po ./ || die
+ fi
+
+ eapply "${FILESDIR}/${PN}-5.21.90-standalone.patch"
+ sed -e "/set/s/GENTOO_PV/$(ver_cut 1-3)/" -i CMakeLists.txt || die
+ cat >> CMakeLists.txt <<- _EOF_ || die
+ ki18n_install(po)
+ _EOF_
+
+ ecm_src_prepare
+}
next reply other threads:[~2021-06-16 12:32 UTC|newest]
Thread overview: 79+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-16 12:32 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-22 12:55 [gentoo-commits] repo/gentoo:master commit in: kde-plasma/libkworkspace/ Andreas Sturmlechner
2023-02-05 18:32 Andreas Sturmlechner
2023-01-04 15:20 Andreas Sturmlechner
2022-11-16 8:55 WANG Xuerui
2022-10-26 13:51 Andreas Sturmlechner
2022-10-18 13:47 Andreas Sturmlechner
2022-10-10 9:54 Andreas Sturmlechner
2022-08-02 18:38 Andreas Sturmlechner
2022-07-30 8:51 Agostino Sarubbo
2022-07-28 11:03 Agostino Sarubbo
2022-07-13 9:17 Andreas Sturmlechner
2022-06-29 7:21 WANG Xuerui
2022-06-28 17:54 Andreas Sturmlechner
2022-06-21 21:28 Andreas Sturmlechner
2022-05-29 20:44 Andreas Sturmlechner
2022-05-03 22:41 Sam James
2022-04-29 13:33 Agostino Sarubbo
2022-04-29 13:29 Agostino Sarubbo
2022-03-29 15:57 Andreas Sturmlechner
2022-03-08 17:18 Andreas Sturmlechner
2022-02-22 16:55 Andreas Sturmlechner
2022-02-15 17:51 Andreas Sturmlechner
2022-02-08 13:10 Andreas Sturmlechner
2022-01-25 9:49 Andreas Sturmlechner
2022-01-18 17:40 Andreas Sturmlechner
2022-01-04 15:10 Andreas Sturmlechner
2021-12-14 9:27 Andreas Sturmlechner
2021-12-10 15:11 Andreas Sturmlechner
2021-11-09 17:15 Andreas Sturmlechner
2021-10-31 3:17 Sam James
2021-10-27 5:02 Sam James
2021-10-20 6:51 Andreas Sturmlechner
2021-10-14 10:32 Andreas Sturmlechner
2021-07-06 17:20 Andreas Sturmlechner
2021-06-23 6:27 Andreas Sturmlechner
2021-06-12 12:52 Sam James
2021-06-12 6:25 Sam James
2021-05-29 21:19 Andreas Sturmlechner
2021-05-09 12:11 Andreas Sturmlechner
2021-04-06 14:12 Andreas Sturmlechner
2021-03-16 14:43 Andreas Sturmlechner
2021-03-02 20:24 Andreas Sturmlechner
2021-02-23 21:19 Andreas Sturmlechner
2021-01-24 19:34 Sam James
2021-01-21 13:37 Agostino Sarubbo
2021-01-05 17:36 Andreas Sturmlechner
2020-12-01 16:08 Andreas Sturmlechner
2020-11-11 14:21 Andreas Sturmlechner
2020-10-27 21:26 Andreas Sturmlechner
2020-10-22 22:04 Andreas Sturmlechner
2020-10-20 19:56 Andreas Sturmlechner
2020-10-13 11:51 Andreas Sturmlechner
2020-10-08 2:22 Sam James
2020-09-01 16:33 Andreas Sturmlechner
2020-07-28 15:37 Andreas Sturmlechner
2020-07-07 21:30 Andreas Sturmlechner
2020-06-20 21:03 Thomas Deutschmann
2020-05-21 13:41 Mikle Kolyada
2020-05-20 16:15 Mikle Kolyada
2020-05-20 16:11 Mikle Kolyada
2020-02-29 12:34 Mikle Kolyada
2020-02-15 11:31 Mikle Kolyada
2020-02-11 13:54 Mikle Kolyada
2020-02-11 13:50 Mikle Kolyada
2019-12-22 21:54 Aaron Bauman
2019-12-22 20:42 Mikle Kolyada
2019-12-22 20:39 Mikle Kolyada
2019-10-29 22:59 Andreas Sturmlechner
2019-09-21 0:08 Mikle Kolyada
2019-09-21 0:04 Mikle Kolyada
2019-09-20 3:24 Aaron Bauman
2019-05-28 4:01 Aaron Bauman
2019-05-18 18:15 Mikle Kolyada
2019-05-18 18:11 Mikle Kolyada
2019-01-25 7:28 Mikle Kolyada
2019-01-25 7:20 Mikle Kolyada
2018-10-24 17:53 Andreas Sturmlechner
2018-10-23 17:51 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1623846714.a7ec88a0a9457f2d3936bb6d4bb536a33cc5a2bd.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox